//
//  SMInspectorChooser.h
//  SMInspectorKit
//
//  Created by Stephan Michels on 09.11.12.
//  Copyright (c) 2012 Stephan Michels. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "SMViewController.h"

typedef NS_ENUM(NSUInteger, SMInspectorChooserType) {
	SMInspectorChooserTypeNumber,
	SMInspectorChooserTypeString,
};

@interface SMInspectorChooser : SMViewController

@property (nonatomic, weak, readonly) id owner;
//@property (nonatomic, copy) NSString *choicesKeyPath;
@property (nonatomic, copy) NSString *keyPath;
//@property (nonatomic, copy) NSString *nilPlaceholder;
@property (nonatomic) BOOL enabled;
@property (nonatomic, copy) NSString *enabledKeyPath;
//@property (nonatomic, copy) NSString *title;
@property (nonatomic) BOOL visible;
@property (nonatomic, copy) NSString *visibleKeyPath;
@property (nonatomic, strong) NSValueTransformer *visibleValueTransformer;
@property (nonatomic) SEL actionSelector;
@property (nonatomic, copy) NSString *actionName;

//@property (nonatomic) SMInspectorChooserType type;
@property (nonatomic, copy) NSArray *choices;

- (id)initWithOwner:(id)owner;
- (id)init NS_UNAVAILABLE;
+ (id)new NS_UNAVAILABLE;

- (void)prepareForReuse;
- (void)refresh;

@end
