//
//  SMNotificationObservation.h
//  SMInspectorKit
//
//  Created by Stephan Michels on 14.12.12.
//  Copyright (c) 2012 Stephan Michels. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "SMCancellable.h"


@class SMNotificationObservation;

typedef void (^SMNoticationObservationBlock)(SMNotificationObservation *observation, NSNotification *notification);

@interface SMNotificationObservation : NSObject <SMCancellable>

@property (nonatomic, unsafe_unretained, readonly) id object;
@property (nonatomic, copy, readonly) NSString *name;

+ (instancetype)observationWithCenter:(NSNotificationCenter *)center
                              forName:(NSString *)name
                               object:(id)object
                           usingBlock:(SMNoticationObservationBlock)block;

@end
