//
//  SMValueTransformer.h
//  Drawings
//
//  Created by Stephan Michels on 29.01.13.
//  Copyright (c) 2012 Stephan Michels Softwareentwicklung und Beratung. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "SMBlocksTypes.h"

// original source from https://github.com/github/Mantle

//
// A value transformer supporting block-based transformation.
//
@interface SMValueTransformer : NSValueTransformer

// Returns a transformer which transforms values using the given block. Reverse
// transformations will not be allowed.
+ (instancetype)transformerWithBlock:(SMTransformBlock)transformationBlock;

// Returns a transformer which transforms values using the given block, for
// forward or reverse transformations.
+ (instancetype)reversibleTransformerWithBlock:(SMTransformBlock)transformationBlock;

// Returns a transformer which transforms values using the given blocks.
+ (instancetype)reversibleTransformerWithForwardBlock:(SMTransformBlock)forwardBlock
										 reverseBlock:(SMTransformBlock)reverseBlock;

@end
